Skip to main content

Create Instance Request

POST 

/session/v1/session/:session_id/instance

Request an instance be spawned for the session, or register self as a host of the instance

Required Permissions:

  • For any player (including themselves) any of: session:*, session:update:any, session:update:self

Required Session Permissions: SessionPermissions.session_admin if user does not have the session:update:any auth permission

Request

Path Parameters

    session_id Session Idrequired

    Possible values: non-empty and <= 128 characters

Body

required

    instance_id Instance Id (string)

    Possible values: non-empty and <= 128 characters

    Unique ID for the instance, a new one will be generated if not provided

    instance_startup_params

    object

    Parameters given to an instance to change what map and mode it loads, and other gameplay behavior

    map Map (string)required

    Name of the map for the instance to spawn with

    mode Mode (string)

    Game mode for the instance to spawn in

    misc_params Misc Params (string)required

    Additional commandline parameters for the instance

    custom_data

    object

    Custom data to pass through to the instance

    property name* string
    host_type HostType (string)

    Possible values: [dedicated, player, preallocated]

    Whether the host is another player, or a dedicated instance

    instance_request_template_id uuid

    Which instance request template should be used to request this instance. Takes priority over instance_startup_params and host_type

    host_player_uuid uuid

    Player UUID of the host, if the host type is player

    custom_data

    object

    instance-defined custom data

    property name* string

Responses

Successful Response

Schema

    allocation_id Allocation Id (string)

    Possible values: non-empty and <= 128 characters

    Allocation ID for instance that's been spun up

    instance_id Instance Id (string)required

    Possible values: non-empty and <= 128 characters

    Unique ID for the host/session relationship

    host_type HostType (string)required

    Possible values: [dedicated, player, preallocated]

    Whether the host is another player, or a dedicated instance

    host_player_id Host Player Id (integer)

    Player ID of the host, if the host type is player

    host_player_uuid uuid

    Player UUID of the host, if the host type is player

    host_dedicated_process_id Host Dedicated Process Id (string)

    Unique ID for the process that is running this instance

    host_dedicated_server_id Host Dedicated Server Id (string)

    Unique ID for the machine running the instance

    join_status InstanceJoinableStatus (string)required

    Possible values: [requested, allocated, pending, joinable, unjoinable, closed]

    What state the instance is currently in

    join_params

    object

    Parameters provided by the allocation system or an instance on how to connect

    public_conn_str Public Conn Str (string)required

    Public connection string for instance

    private_conn_str Private Conn Str (string)required

    Private connection string for instance

    custom_data

    object

    Custom data to join a instance

    property name* string

    instance_startup_params

    object

    Parameters given to an instance to change what map and mode it loads, and other gameplay behavior

    map Map (string)required

    Name of the map for the instance to spawn with

    mode Mode (string)

    Game mode for the instance to spawn in

    misc_params Misc Params (string)required

    Additional commandline parameters for the instance

    custom_data

    object

    Custom data to pass through to the instance

    property name* string
    version semver

    Product Client Version number. Used for compatibility checking with players

    created date-timerequired

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    custom_data

    object

    instance-defined custom data

    property name* string
    instance_health InstanceHealthStatus (string)

    Possible values: [healthy, unhealthy, degraded, unknown]

    An enumeration.

    match_making_profile_id Match Making Profile Id (string)

    Possible values: non-empty and <= 128 characters

    The profile id that this instance was spawned from

    match_id Match Id (string)

    The match ID associated with this instance

Loading...